org.mariadb.jdbc.internal.mysql.packet.commands

## Class SendPrepareParameterPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.packet.commands.SendPrepareParameterPacket

All Implemented Interfaces:
  CommandPacket

    public class SendPrepareParameterPacket
    extends Object
    implements CommandPacket

### Constructor Summary

Constructors
Constructor and Description
`SendPrepareParameterPacket(int parameterIndex, LongDataParameterHolder parameter, int statementId, MySQLCharset mySQLCharset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `send(OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendPrepareParameterPacket

    public SendPrepareParameterPacket(int parameterIndex,
                                      LongDataParameterHolder parameter,
                                      int statementId,
                                      MySQLCharset mySQLCharset)

### Method Detail

#### send

    public int send(OutputStream os)
             throws IOException

Specified by:
  `send` in interface `CommandPacket`
Throws:
  `IOException`